## mypaint 1.0.0

=== SConstruct ===
import os, sys
from os.path import join, basename
from SCons.Script.SConscript import SConsEnvironment

EnsureSConsVersion(1, 0)

# FIXME: sometimes it would be good to build for a different python
# version than the one running scons. (But how to find all paths then?)
python = 'python%d.%d' % (sys.version_info[0], sys.version_info[1])
print 'Building for', python

if sys.platform == "win32":
    python = 'python' # usually no versioned binaries on Windows

try:
    import numpy
except ImportError:
    print 'You need to have numpy installed.'
    print
    raise

SConsignFile() # no .scsonsign into $PREFIX please

if sys.platform == "darwin":
    default_prefix = '/opt/local/'
else:
    default_prefix = '/usr/local/'

opts = Variables()
opts.Add(PathVariable('prefix', 'autotools-style installation prefix', default_prefix, validator=PathVariable.PathIsDirCreate))

opts.Add(BoolVariable('debug', 'enable HEAVY_DEBUG and disable optimizations', False))
env = Environment(ENV=os.environ, options=opts)
if sys.platform == "win32":
    # remove this mingw if trying VisualStudio
    env = Environment(tools=['mingw'], ENV=os.environ, options=opts)
opts.Update(env)

env.ParseConfig('pkg-config --cflags --libs glib-2.0')
env.ParseConfig('pkg-config --cflags --libs libpng')

env.Append(CXXFLAGS=' -Wall -Wno-sign-compare -Wno-write-strings')

# Get the numpy include path (for numpy/arrayobject.h).
numpy_path = numpy.get_include()
env.Append(CPPPATH=numpy_path)


if sys.platform == "win32":
    # official python shipped with no pc file on windows so get from current python
    from distutils import sysconfig
    pre,inc = sysconfig.get_config_vars('exec_prefix', 'INCLUDEPY')
    env.Append(CPPPATH=inc, LIBPATH=pre+'\libs', LIBS='python'+sys.version[0]+sys.version[2])
elif sys.platform == "darwin":
    env.ParseConfig('python-config --cflags')
    env.ParseConfig('python-config --ldflags')
else:
    # some distros use python2.5-config, others python-config2.5
    try:
        env.ParseConfig(python + '-config --cflags')
        env.ParseConfig(python + '-config --ldflags')
    except OSError:
        print 'going to try python-config instead'
        env.ParseConfig('python-config --ldflags')
        env.ParseConfig('python-config --cflags')

if env.get('CPPDEFINES'):
    # make sure assertions are enabled
    env['CPPDEFINES'].remove('NDEBUG')

if env['debug']:
    env.Append(CPPDEFINES='HEAVY_DEBUG')
    env.Append(CCFLAGS='-O0', LINKFLAGS='-O0')

#env.Append(CCFLAGS='-fno-inline', LINKFLAGS='-fno-inline')

Export('env', 'python')
module = SConscript('lib/SConscript')
SConscript('brushlib/SConscript')
languages = SConscript('po/SConscript')

def burn_python_version(target, source, env):
    # make sure we run the python version that we built the extension modules for
    s =  '#!/usr/bin/env ' + python + '\n'
    s += 5*'#\n'
    s += '# DO NOT EDIT - edit %s instead\n' % source[0]
    s += 5*'#\n'
    s += open(str(source[0])).read()
    f = open(str(target[0]), 'w')
    f.write(s)
    f.close()

try:
    new_umask = 022
    old_umask = os.umask(new_umask)
    print "set umask to 0%03o (was 0%03o)" % (new_umask, old_umask)
except OSError:
    # Systems like Win32...
    pass

env.Command('mypaint', 'mypaint.py', [burn_python_version, Chmod('$TARGET', 0755)])

env.Clean('.', Glob('*.pyc'))
env.Clean('.', Glob('gui/*.pyc'))
env.Clean('.', Glob('lib/*.pyc'))


set_dir_postaction = {}
def install_perms(target, sources, perms=0644, dirperms=0755):
    """As a normal env.Install, but with Chmod postactions.

    The `target` parameter must be a string which starts with ``$prefix``.
    Unless this is a sandbox install, the permission bits `dirperms` will be
    set on every directory back to ``$prefix``, but not including it. `perms`
    will always be set on each installed file from `sources`.
    """
    assert target.startswith('$prefix')
    install_targs = env.Install(target, sources)
    sandboxed = False
    final_prefix = os.path.normpath(env["prefix"])

    # Set file permissions.
    for targ in install_targs:
        env.AddPostAction(targ, Chmod(targ, perms))
        targ_path = os.path.normpath(targ.get_path())
        if not targ_path.startswith(final_prefix):
            sandboxed = True

    if not sandboxed:
        # Set permissions on superdirs, back to $prefix (but not including it)
        # Not sure if this is necessary with the umask forcing. It might help
        # fix some broken installs.
        for file_targ in install_targs:
            d = os.path.normpath(target)
            d_prev = None
            while d != d_prev and d != '$prefix':
                d_prev = d
                if not set_dir_postaction.has_key(d):
                    env.AddPostAction(file_targ, Chmod(d, dirperms))
                    set_dir_postaction[d] = True
                d = os.path.dirname(d)

    return install_targs


def install_tree(dest, path, perms=0644, dirperms=0755):
    assert os.path.isdir(path)
    target_root = join(dest, os.path.basename(path))
    for dirpath, dirnames, filenames in os.walk(path):
        reltarg = os.path.relpath(dirpath, path)
        target_dir = join(target_root, reltarg)
        target_dir = os.path.normpath(target_dir)
        filepaths = [join(dirpath, basename) for basename in filenames]
        install_perms(target_dir, filepaths, perms=perms, dirperms=dirperms)


# Painting resources
install_tree('$prefix/share/mypaint', 'brushes')
install_tree('$prefix/share/mypaint', 'backgrounds')
install_tree('$prefix/share/mypaint', 'pixmaps')

# Desktop resources and themeable internal icons
install_tree('$prefix/share', 'desktop/icons')
install_perms('$prefix/share/applications', 'desktop/mypaint.desktop')

# location for achitecture-dependent modules
install_perms('$prefix/lib/mypaint', module)

# Program and supporting UI XML
install_perms('$prefix/bin', 'mypaint', perms=0755)
install_perms('$prefix/share/mypaint/gui', Glob('gui/*.xml'))
install_perms("$prefix/share/mypaint/lib",      Glob("lib/*.py"))
install_perms("$prefix/share/mypaint/brushlib", Glob("brushlib/*.py"))
install_perms("$prefix/share/mypaint/gui",      Glob("gui/*.py"))

# translations
for lang in languages:
    install_perms('$prefix/share/locale/%s/LC_MESSAGES' % lang,
                 'po/%s/LC_MESSAGES/mypaint.mo' % lang)

# These hierarchies belong entirely to us, so unmake if asked.
env.Clean('$prefix', '$prefix/lib/mypaint')
env.Clean('$prefix', '$prefix/share/mypaint')

# Convenience alias for installing to $prefix
env.Alias('install', '$prefix')

=== debian/changelog ===
mypaint (1.0.0-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: add lintian recommended targets.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 25 Nov 2011 10:38:25 +0100

=== debian/control ===
Source: mypaint
Section: graphics
Priority: optional
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 8), scons, python-gtk2-dev, python-numpy, swig, python-support
Standards-Version: 3.9.2
Homepage: http://mypaint.intilinux.com/

Package: mypaint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data (>= ${source:Version}), python-numpy, python-gtk2
Description: Paint program to be used with Wacom tablets
 This is a pressure sensitive Wacom tablet paint program. It comes with a large
 brush collection including charcoal and ink to emulate real media, but the
 highly configurable brush engine allows you to experiment with your own
 brushes and with not-quite-natural painting.

Package: mypaint-data
Architecture: all
Depends: ${misc:Depends}
Description: Brushes and backgrounds for the mypaint program
 This is a pressure sensitive Wacom tablet paint program. It comes with a large
 brush collection including charcoal and ink to emulate real media, but the
 highly configurable brush engine allows you to experiment with your own
 brushes and with not-quite-natural painting.
 .
 This package contains the data files needed for the program.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	scons
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	scons -c
	rm -f lib/mypaintlib_wrap.cpp options.cache .sconsign.dblite debian/*.debhelper debian/*.log
	find . -type f -name "*.pyc" -exec rm -vf {} \;
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	scons prefix=/usr --install-sandbox=$(CURDIR)/debian/mypaint
	mkdir -p $(CURDIR)/debian/mypaint-data/usr/share/mypaint/brushes/
	mkdir -p $(CURDIR)/debian/mypaint-data/usr/share/mypaint/backgrounds/
	mv $(CURDIR)/debian/mypaint/usr/share/mypaint/brushes/* $(CURDIR)/debian/mypaint-data/usr/share/mypaint/brushes/
	mv $(CURDIR)/debian/mypaint/usr/share/mypaint/backgrounds/* $(CURDIR)/debian/mypaint-data/usr/share/mypaint/backgrounds/
	find $(CURDIR)/debian/mypaint/usr/share/mypaint/ -type d -empty -delete
	chmod -x $(CURDIR)/debian/mypaint/usr/share/mypaint/gui/colorsamplerwindow.py
	# Dirty workaround for broken icons. Really, upstream should be patched
	# to make this unnecessary.
	#for s in 16x16 22x22 24x24 32x32 48x48 scalable ; do \
	#  mkdir -p $(CURDIR)/debian/mypaint/usr/share/icons/hicolor/$$s/apps; \
	#done
	#for s in 16x16 22x22 24x24 32x32 48x48 scalable ; do \
	#  cp $(CURDIR)/debian/mypaint/usr/share/mypaint/desktop/$$s/*.* \
	#     $(CURDIR)/debian/mypaint/usr/share/icons/hicolor/$$s/apps/ ; \
	#done
	#mkdir -p $(CURDIR)/debian/mypaint/usr/share/pixmaps
	#cp $(CURDIR)/debian/mypaint/usr/share/mypaint/desktop/mypaint_48.png \
	#   $(CURDIR)/debian/mypaint/usr/share/pixmaps/mypaint.png
	#cp $(CURDIR)/debian/mypaint/usr/share/mypaint/desktop/mypaint.ico \
	#   $(CURDIR)/debian/mypaint/usr/share/pixmaps/

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog
	dh_installdocs
	dh_installmenu
	dh_pysupport
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_icons
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mypaint 1.1.0

=== SConstruct ===
import os, sys
from os.path import join, basename
from SCons.Script.SConscript import SConsEnvironment

EnsureSConsVersion(1, 0)

default_python_binary = 'python%d.%d' % (sys.version_info[0], sys.version_info[1])
default_python_config = 'python%d.%d-config' % (sys.version_info[0], sys.version_info[1])

if sys.platform == "win32":
    # usually no versioned binaries on Windows
    default_python_binary = 'python'
    default_python_config = 'python-config'

if os.path.exists('/etc/gentoo-release'):
     print 'Gentoo: /etc/gentoo-release exists. Must be on a Gentoo based system.'
     default_python_config = 'python-config-%d.%d'  % (sys.version_info[0],sys.version_info[1])

SConsignFile() # no .scsonsign into $PREFIX please

if sys.platform == "darwin":
    default_prefix = '/opt/local/'
else:
    default_prefix = '/usr/local/'

opts = Variables()
opts.Add(PathVariable('prefix', 'autotools-style installation prefix', default_prefix, validator=PathVariable.PathIsDirCreate))
opts.Add(BoolVariable('debug', 'enable HEAVY_DEBUG and disable optimizations', False))
opts.Add(BoolVariable('enable_profiling', 'enable debug symbols for profiling purposes (on by default)', True))
opts.Add(BoolVariable('brushlib_only', 'only build and install brushlib/', False))
opts.Add(BoolVariable('enable_gegl', 'enable GEGL based code in build', False))
opts.Add(BoolVariable('enable_introspection', 'enable GObject introspection support', False))
opts.Add(BoolVariable('enable_docs', 'enable documentation build', False))
opts.Add(BoolVariable('enable_gperftools', 'enable gperftools in build, for profiling', False))
opts.Add(BoolVariable('enable_gtk3', 'enable gtk3 in mypaintlib', False))
opts.Add(BoolVariable('enable_openmp', 'enable OpenMP for libmypaint', False))
opts.Add('python_binary', 'python executable to build for', default_python_binary)
opts.Add('python_config', 'python-config to used', default_python_config)

tools = ['default', 'textfile']

env = Environment(ENV=os.environ, options=opts, tools=tools)
print('building for %r (use scons python_binary=xxx to change)' % env['python_binary'])
print('using %r (use scons python_config=xxx to change)' % env['python_config'])
if sys.platform == "win32":
    # remove this mingw if trying VisualStudio
    env = Environment(tools=tools + ['mingw'], ENV=os.environ, options=opts)
opts.Update(env)

env.Append(CXXFLAGS=' -Wall -Wno-sign-compare -Wno-write-strings')
env.Append(CCFLAGS='-Wall')
env.Append(CFLAGS='-std=c99')

# Define strdup() in string.h under glibc >= 2.10 (POSIX.1-2008)
env.Append(CFLAGS='-D_POSIX_C_SOURCE=200809L')

if env.get('CPPDEFINES'):
    # make sure assertions are enabled
    env['CPPDEFINES'].remove('NDEBUG')

if env['debug']:
    env.Append(CPPDEFINES='HEAVY_DEBUG')
    env.Append(CCFLAGS='-O0', LINKFLAGS='-O0')
else:
    env.Append(CCFLAGS='-O3', LINKFLAGS='-O3')

if env['enable_profiling'] or env['debug']:
    env.Append(CCFLAGS='-g')

#env.Append(CCFLAGS='-fno-inline', LINKFLAGS='-fno-inline')

# Look up libraries dependencies relative to the library
if sys.platform == "linux2":
    env.Append(LINKFLAGS = Split('-z origin'))

env.Append(RPATH = env.Literal(os.path.join('\\$$ORIGIN')))

# remove libraries produced by earlier versions, which are actually
# being used if they keep lying around, leading to mysterious bugs
env.Execute('rm -f libmypaint-tests.so libmypaint.so libmypaintlib.so')

set_dir_postaction = {}
def install_perms(env, target, sources, perms=0644, dirperms=0755):
    """As a normal env.Install, but with Chmod postactions.

    The `target` parameter must be a string which starts with ``$prefix``.
    Unless this is a sandbox install, the permission bits `dirperms` will be
    set on every directory back to ``$prefix``, but not including it. `perms`
    will always be set on each installed file from `sources`.
    """
    assert target.startswith('$prefix')
    install_targs = env.Install(target, sources)
    sandboxed = False
    final_prefix = os.path.normpath(env["prefix"])

    # Set file permissions.
    for targ in install_targs:
        env.AddPostAction(targ, Chmod(targ, perms))
        targ_path = os.path.normpath(targ.get_path())
        if not targ_path.startswith(final_prefix):
            sandboxed = True

    if not sandboxed:
        # Set permissions on superdirs, back to $prefix (but not including it)
        # Not sure if this is necessary with the umask forcing. It might help
        # fix some broken installs.
        for file_targ in install_targs:
            d = os.path.normpath(target)
            d_prev = None
            while d != d_prev and d != '$prefix':
                d_prev = d
                if not set_dir_postaction.has_key(d):
                    env.AddPostAction(file_targ, Chmod(d, dirperms))
                    set_dir_postaction[d] = True
                d = os.path.dirname(d)

    return install_targs


def install_tree(env, dest, path, perms=0644, dirperms=0755):
    assert os.path.isdir(path)
    target_root = join(dest, os.path.basename(path))
    for dirpath, dirnames, filenames in os.walk(path):
        reltarg = os.path.relpath(dirpath, path)
        target_dir = join(target_root, reltarg)
        target_dir = os.path.normpath(target_dir)
        filepaths = [join(dirpath, basename) for basename in filenames]
        install_perms(env, target_dir, filepaths, perms=perms, dirperms=dirperms)

def createStaticPicLibraryBuilder(env):
    """This is a utility function that creates the StaticExtLibrary Builder in
    an Environment if it is not there already.

    If it is already there, we return the existing one."""
    import SCons.Action

    try:
        static_extlib = env['BUILDERS']['StaticPicLibrary']
    except KeyError:
        action_list = [ SCons.Action.Action("$ARCOM", "$ARCOMSTR") ]
        if env.Detect('ranlib'):
            ranlib_action = SCons.Action.Action("$RANLIBCOM", "$RANLIBCOMSTR")
            action_list.append(ranlib_action)

    static_extlib = SCons.Builder.Builder(action = action_list,
                                          emitter = '$LIBEMITTER',
                                          prefix = '$LIBPREFIX',
                                          suffix = '$LIBSUFFIX',
                                          src_suffix = '$OBJSUFFIX',
                                          src_builder = 'SharedObject')

    env['BUILDERS']['StaticPicLibrary'] = static_extlib
    return static_extlib

createStaticPicLibraryBuilder(env)

# Common
install_tree(env, '$prefix/share/mypaint', 'brushes')

# These hierarchies belong entirely to us, so unmake if asked.
env.Clean('$prefix', '$prefix/lib/mypaint')
env.Clean('$prefix', '$prefix/share/mypaint')

# Convenience alias for installing to $prefix
env.Alias('install', '$prefix')

Export('env', 'install_tree', 'install_perms')

brushlib = SConscript('./brushlib/SConscript')

if not env['brushlib_only']:
    application = SConscript('./SConscript')
    Depends(application, brushlib)

=== debian/changelog ===
mypaint (1.1.0-3) unstable; urgency=low

  * Remove redundant patch: we don't run the memory-intensive test any more.
  * (Fixes unpack failure FTBFS with patch 2.7.1 (closes: Bug#706508))

 -- Andrew Chadwick <a.t.chadwick@gmail.com>  Wed, 01 May 2013 12:48:43 +0100

mypaint (1.1.0-2) unstable; urgency=low

  * Fix FTBFS with DEB_BUILD_OPTIONS=noopt (closes: Bug#704935)
  * Fix hardening flags not being honoured (closes: Bug#704927) 

 -- Andrew Chadwick <a.t.chadwick@gmail.com>  Sun, 21 Apr 2013 20:37:02 +0100

mypaint (1.1.0-1) unstable; urgency=low

  * New upstream version.
  * New upstream has an updated ru_RU.UTF-8 translation (closes: Bug#685254).
  * Standards bump and check 3.9.2 -> 3.9.4.
  * debian/rules: fix lintian script-not-executable for label-brush-mypaint.sh
  * debian/{rules,control}: split out hi-res data (closes: Bug#660881).
  * debian/copyright: update to cover new upstream licenses; machine-readable.
  * Mark myself as Uploader and PAPT as Maintainer (closes: Bug#691827).
  * Recommend shared-mime-info (closes: Bug#545396).
  * Migrated from deprecated dh_pysupport to dh_python2.
  * debian/control: update homepage link
  * debian/control: provide Vcs-* info
  * debian/rules: use dh_install, and use it to check for overlooked files
  * Move message catalogs to mypaint-data.
  * Backport license update to the all-colours palette (lintian, spelling(!)).
  * Backport removal of deprecated Encoding key from upstream (lintian).
  * Build with hardening flags.
  * Patch in upstream test suite fixes, and run tests during build.
  * (Only the one which will run with <= 512M RAM, e.g. some ARM buildbots.)
  * (19 Jan) Move development to Debian VCS (requirement of python apps team).
  * Add python-matplotlib and python-tk in build-depends (test suite reqs);
  * Lowercase first letter of each short package description (best practice).
  * Newlines for Build-Depends and Depends (sponsor preference).

 -- Andrew Chadwick <a.t.chadwick@gmail.com>  Wed, 20 Mar 2013 13:08:23 +0000

=== debian/control ===
Source: mypaint
Section: graphics
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Andrew Chadwick <a.t.chadwick@gmail.com>
Build-Depends: debhelper (>= 8), scons, python-gtk2-dev, python-numpy, swig,
 python (>= 2.6), liblcms2-dev, libjson0-dev, dpkg-dev (>= 1.16.1~),
 python-matplotlib, python-tk
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Homepage: http://mypaint.info/
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/mypaint/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mypaint/

Package: mypaint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 mypaint-data (>= ${source:Version}), python-numpy, python-gtk2
Suggests: mypaint-data-extras
Recommends: shared-mime-info
Description: paint program for use with graphics tablets
 MyPaint is a pressure- and tilt-sensitive painting program which works well
 with Wacom graphics tablets and other similar devices. It comes with a large
 brush collection including charcoal and ink to emulate real media, but the
 highly configurable brush engine allows you to experiment with your own
 brushes and with not-quite-natural painting.
 .
 This package contains the main program.

Package: mypaint-data
Architecture: all
Depends: ${misc:Depends}
Breaks: mypaint (<< 1.1.0)
Replaces: mypaint (<< 1.1.0)
Description: runtime data files for MyPaint
 MyPaint is a pressure- and tilt-sensitive painting program which works well
 with Wacom graphics tablets and other similar devices. It comes with a large
 brush collection including charcoal and ink to emulate real media, but the
 highly configurable brush engine allows you to experiment with your own
 brushes and with not-quite-natural painting.
 .
 This package contains icons and backgrounds for the MyPaint program.

Package: mypaint-data-extras
Architecture: all
Depends: ${misc:Depends}
Breaks: mypaint-data (<< 1.1.0)
Replaces: mypaint-data-hires, mypaint-data (<< 1.1.0)
Conflicts: mypaint-data-hires
Enhances: mypaint
Description: high resolution backgrounds for mypaint
 MyPaint is a pressure- and tilt-sensitive painting program which works well
 with Wacom graphics tablets and other similar devices. It comes with a large
 brush collection including charcoal and ink to emulate real media, but the
 highly configurable brush engine allows you to experiment with your own
 brushes and with not-quite-natural painting.
 .
 This package contains high resolution paper texture backgrounds for painting
 on. Since the files are large, installation is optional.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Program build options
MYPAINT_SCONSOPTS = enable_openmp=true

# Using the default -O0 would break linkage at runtime. The minimum level of
# optimization supported by MyPaint 1.1.0 is -O1 due to some unhelpful and
# non-overridable scons defaults.
#
# Workaround for http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=704935 cf.
# http://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules-options
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O1
endif


build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp


build-stamp:
	dh_testdir
	scons $(MYPAINT_SCONSOPTS)
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Max-RSS: ~74000 kbytes
	MPLCONFIGDIR=`mktemp -d` python tests/test_mypaintlib.py
	# Max-RSS: ~2800000 kbytes - ouch!
	# MPLCONFIGDIR=`mktemp -d` python tests/test_brushlib.py
	# Commented out because it'll FTBFS on 512M Debian ARM buildbots.
endif
	touch $@


clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	scons -c
	rm -f lib/mypaintlib_wrap.cpp options.cache .sconsign.dblite debian/*.debhelper debian/*.log
	find . -type f -name "*.pyc" -exec rm -vf {} \;
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Install to debian/tmp, then cut up.
	scons prefix=/usr $(MYPAINT_SCONSOPTS) --install-sandbox=$(CURDIR)/debian/tmp
	# Headers and a static lib are installed by the above, but are not
	# required at runtime. It's probably counterproductive to ship just a
	# static lib in a dev package (see mailing list thread).
	rm -fr $(CURDIR)/debian/tmp/usr/include
	rm -f $(CURDIR)/debian/tmp/usr/lib/*.a
	rm -fr $(CURDIR)/debian/tmp/usr/lib/pkgconfig
	# When the ABI settles a bit more, let's consider dynamic libs.
	# https://mail.gna.org/public/mypaint-discuss/2013-01/msg00021.html
	dh_install --fail-missing -X prev-template.xcf.gz -X FX_blender_prev.png -X label-brush-mypaint.sh -X generate.py
	dh_installchangelogs changelog
	dh_installdocs
	dh_installmenu
	dh_python2
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_icons
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums


binary-indep: install
	dh_builddeb --indep


binary-arch: install
	dh_builddeb --arch


binary: install
	dh_builddeb


.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://download.gna.org/mypaint/ mypaint-([\d\.]+)\.tar\.bz2

## mypaint 1.2.0

=== brushlib/SConstruct ===
import os, sys
from os.path import join, basename
from SCons.Script.SConscript import SConsEnvironment
import SCons.Util

EnsureSConsVersion(1, 0)

SConsignFile() # no .scsonsign into $PREFIX please

default_openmp = True
default_prefix = '/usr/local/'

if sys.platform == "darwin":
    default_openmp = False

default_python_binary = 'python%d.%d' % (sys.version_info[0], sys.version_info[1])

def isabs(key, dirname, env):
    assert os.path.isabs(dirname), "%r must have absolute path syntax" % (key,)

opts = Variables()
opts.Add(
    'prefix', 'autotools-style installation prefix',
    default=default_prefix,
    validator=isabs,
)
opts.Add(BoolVariable('debug', 'enable HEAVY_DEBUG and disable optimizations', False))
opts.Add(BoolVariable('enable_profiling', 'enable debug symbols for profiling purposes', True))
opts.Add(BoolVariable('enable_i18n', 'enable i18n support for brushlib (requires gettext)', True))
opts.Add(BoolVariable('enable_gegl', 'enable GEGL based code in build', False))
opts.Add(BoolVariable('enable_introspection', 'enable GObject introspection support', False))
opts.Add(BoolVariable('enable_docs', 'enable documentation build', False))
opts.Add(BoolVariable('enable_gperftools', 'enable gperftools in build, for profiling', False))
opts.Add(BoolVariable('enable_openmp', 'enable OpenMP for multithreaded processing', default_openmp))
opts.Add(BoolVariable('use_sharedlib', 'build a shared library instead of a static library (forced on by introspection)', False))
opts.Add(BoolVariable('use_glib', 'enable glib (forced on by introspection)', False))
opts.Add('python_binary', 'python executable to build for', default_python_binary)

tools = ['default', 'textfile']

env = Environment(ENV=os.environ, options=opts, tools=tools)

Help(opts.GenerateHelpText(env))

# Respect some standard build environment stuff
# See http://cgit.freedesktop.org/mesa/mesa/tree/scons/gallium.py
# See https://wiki.gentoo.org/wiki/SCons#Missing_CC.2C_CFLAGS.2C_LDFLAGS
if os.environ.has_key('CC'):
   env['CC'] = os.environ['CC']
if os.environ.has_key('CFLAGS'):
   env['CCFLAGS'] += SCons.Util.CLVar(os.environ['CFLAGS'])
if os.environ.has_key('CPPFLAGS'):
   env['CCFLAGS'] += SCons.Util.CLVar(os.environ['CPPFLAGS'])
if os.environ.has_key('LDFLAGS'):
    # LDFLAGS is omitted in SHLINKFLAGS, which is derived from LINKFLAGS
   env['LINKFLAGS'] += SCons.Util.CLVar(os.environ['LDFLAGS'])

opts.Update(env)

env.Append(CXXFLAGS=' -Wall -Wno-sign-compare -Wno-write-strings')
env.Append(CCFLAGS='-Wall -Wstrict-prototypes -Werror')
env.Append(CFLAGS='-std=c99')

env['GEGL_VERSION'] = 0.3

# Define strdup() in string.h under glibc >= 2.10 (POSIX.1-2008)
env.Append(CFLAGS='-D_POSIX_C_SOURCE=200809L')

if env.get('CPPDEFINES'):
    # make sure assertions are enabled
    env['CPPDEFINES'].remove('NDEBUG')

if env['debug']:
    env.Append(CPPDEFINES='HEAVY_DEBUG')
    env.Append(CCFLAGS='-O0', LINKFLAGS='-O0')
else:
    # Overridable defaults
    env.Prepend(CCFLAGS='-O3', LINKFLAGS='-O3')

if env['enable_profiling'] or env['debug']:
    env.Append(CCFLAGS='-g')

set_dir_postaction = {}
def install_perms(env, target, sources, perms=0644, dirperms=0755):
    """As a normal env.Install, but with Chmod postactions.

    The `target` parameter must be a string starting with ``$prefix``.
    The permissions in `perms` will be assigned to each file which was
    installed from `sources` in a post-install action.

    The `dirperms` permissions will be assigned to each created
    directory component which does not exist (at the time of calling
    this function). Each set of permission bits is assigned in its own
    postaction.

    """
    assert target.startswith('$prefix')
    install_targs = env.Install(target, sources)

    # Set file permissions, and defer directory permission setting
    for targ in install_targs:
        env.AddPostAction(targ, Chmod(targ, perms))
        d = os.path.dirname(os.path.normpath(targ.get_abspath()))
        d_prev = None
        while d != d_prev and not os.path.exists(d):
            if not d in set_dir_postaction:
                env.AddPostAction(targ, Chmod(d, dirperms))
                set_dir_postaction[d] = True
            d_prev = d
            d = os.path.dirname(d)

    # Return like Install()
    return install_targs


def install_tree(env, dest, path, perms=0644, dirperms=0755):
    assert os.path.isdir(path)
    target_root = join(dest, os.path.basename(path))
    for dirpath, dirnames, filenames in os.walk(path):
        reltarg = os.path.relpath(dirpath, path)
        target_dir = join(target_root, reltarg)
        target_dir = os.path.normpath(target_dir)
        filepaths = [join(dirpath, basename) for basename in filenames]
        install_perms(env, target_dir, filepaths, perms=perms, dirperms=dirperms)

def createStaticPicLibraryBuilder(env):
    """This is a utility function that creates the StaticExtLibrary Builder in
    an Environment if it is not there already.

    If it is already there, we return the existing one."""
    import SCons.Action

    try:
        static_extlib = env['BUILDERS']['StaticPicLibrary']
    except KeyError:
        action_list = [ SCons.Action.Action("$ARCOM", "$ARCOMSTR") ]
        if env.Detect('ranlib'):
            ranlib_action = SCons.Action.Action("$RANLIBCOM", "$RANLIBCOMSTR")
            action_list.append(ranlib_action)

    static_extlib = SCons.Builder.Builder(action = action_list,
                                          emitter = '$LIBEMITTER',
                                          prefix = '$LIBPREFIX',
                                          suffix = '$LIBSUFFIX',
                                          src_suffix = '$OBJSUFFIX',
                                          src_builder = 'SharedObject')

    env['BUILDERS']['StaticPicLibrary'] = static_extlib
    return static_extlib

createStaticPicLibraryBuilder(env)


# Convenience alias for installing to $prefix
env.Alias('install', '$prefix')

Export('env', 'install_tree', 'install_perms')

brushlib = SConscript('./SConscript')

=== debian/changelog ===
mypaint (1.2.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/Remove-references-to-BOGOSITY-cursor.patch,
    d/p/Fix-cherry-pick-stable-branch-has-pygtk-syntax.patch,
    d/p/hcywheel-Avoid-deprecated-gdk.Cursor-constructor.patch:
    Fix startup on Wayland systems (Closes: #859064)

 -- Simon McVittie <smcv@debian.org>  Sun, 02 Apr 2017 18:26:32 +0100

mypaint (1.2.0-4) unstable; urgency=medium

  * Add debian/patches/fix-gtk-3.22.4-canvas-disappearance.patch to fix
    fullscreen mode. (Closes: #848356)

 -- Andrew Chadwick <a.t.chadwick@gmail.com>  Thu, 02 Feb 2017 14:39:42 +0000

mypaint (1.2.0-3) unstable; urgency=medium

  * Update d/rules to use dh sequencer. Fixes arch-indep FTBFS.
    (Closes: #845111)
  * Update to dh compat level 9.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 22 Nov 2016 00:02:02 -0800

mypaint (1.2.0-2) unstable; urgency=medium

  * Acknowledge NMU. Thanks Tobias!
  * Add debian/patches/fix-glib-2.48-startup-crash.patch to fix startup crash.
    (Closes: #822784)
  * Add myself to Uploaders.
  * Update Standards version to 3.9.8.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 02 May 2016 22:43:44 -0700

mypaint (1.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libpng transition: Change B-D from libpng12-dev to libpng-dev.
    (Closes: #819440)

 -- Tobias Frost <tobi@debian.org>  Mon, 28 Mar 2016 16:41:19 +0200

mypaint (1.2.0-1) unstable; urgency=low

  * Team upload.

  [ Andrew Chadwick ]
  * New release. (Closes: #812865)
  * Update copyright.
  * Install docs.
  * Update watchfile, and add my signing signature.
  * Changelog has changed filename.
  * Add dh-python to build-deps.
  * Standards bump 3.9.4 -> 3.9.6.
  * Patches are in upstream now, drop patches/.
  * Add Nautilus thumbnailer to install.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Vincent Cheng ]
  * Import Andrew Chadwick's changes from https://github.com/mypaint/debian
  * Update build-depends from libjson0-dev to libjson-c-dev. (Closes: #745007)
  * Remove debian/menu file as per tech-ctte decision in #741573.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 01 Feb 2016 19:00:26 -0800

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,42 @@
 Section: graphics
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Andrew Chadwick <a.t.chadwick@gmail.com>
-Build-Depends: debhelper (>= 8), scons, python-gtk2-dev, python-numpy, swig,
- python (>= 2.6), liblcms2-dev, libjson0-dev, dpkg-dev (>= 1.16.1~),
- python-matplotlib, python-tk
-Standards-Version: 3.9.4
-X-Python-Version: >= 2.6
+Uploaders:
+ Andrew Chadwick <a.t.chadwick@gmail.com>,
+ Vincent Cheng <vcheng@debian.org>
+Build-Depends:
+ debhelper (>= 9),
+ dh-python,
+ dpkg-dev (>= 1.16.1~),
+ gettext,
+ libgtk-3-dev (>= 3.10),
+ libjson-c-dev,
+ liblcms2-dev,
+ libpng-dev,
+ python (>= 2.7),
+ python-dev,
+ python-gi-dev,
+ python-matplotlib,
+ python-tk,
+ scons,
+ swig
+Standards-Version: 3.9.8
+X-Python-Version: >= 2.7
+X-Python3-Version: << 3.0
 Homepage: http://mypaint.info/
-Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/mypaint/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mypaint/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mypaint/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/mypaint/
 
 Package: mypaint
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- mypaint-data (>= ${source:Version}), python-numpy, python-gtk2
+Depends:
+ gir1.2-gtk-3.0 (>= 3.10),
+ mypaint-data (>= ${source:Version}),
+ python-gi-cairo,
+ python-numpy,
+ ${misc:Depends},
+ ${python:Depends},
+ ${shlibs:Depends}
 Suggests: mypaint-data-extras
 Recommends: shared-mime-info
 Description: paint program for use with graphics tablets
@@ -45,7 +67,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Breaks: mypaint-data (<< 1.1.0)
-Replaces: mypaint-data-hires, mypaint-data (<< 1.1.0)
+Replaces: mypaint-data (<< 1.1.0), mypaint-data-hires
 Conflicts: mypaint-data-hires
 Enhances: mypaint
 Description: high resolution backgrounds for mypaint

=== debian/rules ===
#!/usr/bin/make -f

# Hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Program build options
MYPAINT_SCONSOPTS = enable_openmp=true

%:
	dh $@ --with python2

override_dh_clean:
	scons -c
	rm -f lib/mypaintlib_wrap.cpp options.cache .sconsign.dblite \
	      tests/test_brushPaint.png tests/test_directPaint.png
	find . -type f -name "*.pyc" -delete
	dh_clean

override_dh_auto_build:
	scons $(MYPAINT_SCONSOPTS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Max-RSS: ~74000 kbytes
	MPLCONFIGDIR=`mktemp -d` python tests/test_mypaintlib.py
	# Max-RSS: ~2800000 kbytes - ouch!
	# MPLCONFIGDIR=`mktemp -d` python tests/test_brushlib.py
	# Commented out because it'll FTBFS on 512M Debian ARM buildbots.
endif

override_dh_install:
	# Install to debian/tmp, then cut up.
	scons prefix=/usr $(MYPAINT_SCONSOPTS) --install-sandbox=$(CURDIR)/debian/tmp
	# Headers and a static lib are installed by the above, but are not
	# required at runtime. It's probably counterproductive to ship just a
	# static lib in a dev package (see mailing list thread).
	rm -fr $(CURDIR)/debian/tmp/usr/include
	rm -f $(CURDIR)/debian/tmp/usr/lib/*.a
	rm -fr $(CURDIR)/debian/tmp/usr/lib/pkgconfig
	# When the ABI settles a bit more, let's consider dynamic libs.
	# https://mail.gna.org/public/mypaint-discuss/2013-01/msg00021.html
	dh_install --fail-missing -X prev-template.xcf.gz -X FX_blender_prev.png -X label-brush-mypaint.sh -X generate.py

override_dh_installchangelogs:
	dh_installchangelogs Changelog.md

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)-((rc|beta|alpha)[a-z.\d]*)$/$1~$2/, pgpsigurlmangle=s/$/.asc/" \
  https://github.com/mypaint/mypaint/releases \
  .*/mypaint-(\d+[.]\d+[.]\d+(?:-[a-z.\d]+)?).tar.xz

## mypaint 2.0.0

=== debian/changelog ===
mypaint (2.0.0-2) unstable; urgency=medium

  * Team upload. 
  * Finish Python3.8 transition. (Closes: #954142)
  * debian/rules: Honour "nocheck" profile for dh_auto_test.
    (Closes: #954091)

  [ Rik Mills ]
  * debian/control: Add dependency on python3-distutils. Fixes crash
    on application start. (LP: #1870353)

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Apr 2020 19:09:23 -0400

mypaint (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. 

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Mar 2020 14:53:35 -0400

mypaint (2.0.0-1~exp3) experimental; urgency=medium

  * Team upload.
  * debian/rules: Ignore several files during nosetest as suggested
    by upstream.

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Feb 2020 13:44:00 -0500

mypaint (2.0.0-1~exp2) experimental; urgency=medium

  * Team upload.
  * debian/rules:
    + Set XDG_CACHE_HOME to fix some test errors.
    + Fix dh_clean invocation (lintian warning).
  * debian/patches: Add patch to fix grammar errors in translations.
  * debian/copyright: Properly document CC0-1.0-licensed files.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Feb 2020 15:31:27 -0500

mypaint (2.0.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release 2.0.0. (Closes: #853938)
    + Migrate away from scons. (Closes: #947570)
    + Migrate away from python2. (Closes: #937099)
    + The conflict between libmypaint-common and mypaint-data is
      solved by upstream. (Closes: #897909, #932868)
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.5.0.
    + Migrate to python3. (Closes: #947251)
    + Update homepage information. (Closes: #928075)
    + Add (build-)dependency on new libmypaint.
  * debian/patches: Dropped, all merged upstream.
  * debian/upstream/metadata: Add upstream information: Repository,
    Repository-Browse.
  * debian/rules: Rewrite to fit upstream's use of setup.py.

  [ Sandro Tosi ]
  * debian/watch
    - recognize beta versions too

 -- Boyuan Yang <byang@debian.org>  Fri, 21 Feb 2020 16:36:17 -0500

mypaint (1.2.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Gianfranco Costamagna ]
  * debian/patches/49f0a9fdf06010f4ca03ce233468206481480830.patch:
    - cherry-pick and adapt upstream Python3 build failure fix
      (note, this is not really needed yet, but we need a no-change rebuild
       against fixed scons 3.1.1-2)
  * Team Upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2019 14:57:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,40 +6,45 @@
  Andrew Chadwick <a.t.chadwick@gmail.com>,
  Vincent Cheng <vcheng@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-python,
- dpkg-dev (>= 1.16.1~),
+ debhelper-compat (= 12),
+ dh-sequence-python3,
  gettext,
  libgtk-3-dev (>= 3.10),
  libjson-c-dev,
  liblcms2-dev,
  libpng-dev,
- python (>= 2.7),
- python-dev,
+ libmypaint-dev (>= 1.5~),
+ python3-dev:any,
  python-gi-dev,
- python-matplotlib,
- python-tk,
- scons,
- swig
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.7
-X-Python3-Version: << 3.0
-Homepage: http://mypaint.info/
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mypaint/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/mypaint/
+ python3-gi, 
+ python3-gi-cairo,
+ python3-matplotlib,
+ python3-numpy,
+ python3-setuptools,
+ python3-nose <!nocheck>,
+ mypaint-brushes (>= 1.5~) <!nocheck>,
+ swig,
+Standards-Version: 4.5.0
+Homepage: http://mypaint.org/
+Vcs-Git: https://salsa.debian.org/python-team/applications/mypaint.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/mypaint
 
 Package: mypaint
 Architecture: any
 Depends:
  gir1.2-gtk-3.0 (>= 3.10),
  mypaint-data (>= ${source:Version}),
- python-gi-cairo,
- python-numpy,
+ mypaint-brushes (>= 1.5~),
+ python3-distutils,
+ python3-gi,
+ python3-gi-cairo,
+ python3-numpy,
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${shlibs:Depends}
-Suggests: mypaint-data-extras
-Recommends: shared-mime-info
+Recommends:
+ mypaint-data-extras,
+ shared-mime-info,
 Description: paint program for use with graphics tablets
  MyPaint is a pressure- and tilt-sensitive painting program which works well
  with Wacom graphics tablets and other similar devices. It comes with a large

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#  # Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# In fact, we are not using pybuild at all.
#export PYBUILD_NAME=mypaint
export PYBUILD_DISABLE_python2=1
export PYBUILD_DESTDIR_python3=debian/tmp/

# Python variable
PYTHON = python3

# For tests, as suggested by upstream
export XDG_CACHE_HOME := $(CURDIR)/fakehome/

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	# As suggested by upstream
	$(PYTHON) setup.py clean --all
	dh_clean

override_dh_auto_build:
	# As suggested by upstream
	$(PYTHON) setup.py build

override_dh_auto_install:
	# From AUR package
	$(PYTHON) setup.py install \
	        --root=$(CURDIR)/debian/tmp/ \
	        --prefix=/usr/ \
		--skip-build

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# Known to be failing, just ignore failure for now
	# As suggested by upstream
	$(PYTHON) setup.py nosetests \
	    --ignore-files="(objfactory)|(widgets).py"
	# Heavy tests including C++ part
	-$(PYTHON) setup.py test
endif

override_dh_installchangelogs:
	dh_installchangelogs Changelog.md

override_dh_missing:
	dh_missing --fail-missing

## mypaint 2.0.0+git20200502

=== debian/changelog ===
mypaint (2.0.0+git20200502-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot (2020-05-02).
  * Rebuild with libmypaint 1.6.0.
  * debian/control:
    + Mark package mypaint-data and mypaint-data-extra
      as Multi-Arch: foreign.
    + Add missing build and runtime dependency on librsvg.
      (Closes: #959620)
  * debian/patches: Refresh patch and drop all python2-compat
    imports. This also helps to fix #959620.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 May 2020 18:22:59 -0400

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  liblcms2-dev,
  libpng-dev,
  libmypaint-dev (>= 1.5~),
+ librsvg2-dev <!nocheck>,
  python3-dev:any,
  python-gi-dev,
  python3-gi, 
@@ -39,6 +40,7 @@
  python3-gi,
  python3-gi-cairo,
  python3-numpy,
+ librsvg2-bin,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}
@@ -56,6 +58,7 @@
 
 Package: mypaint-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: mypaint (<< 1.1.0)
 Replaces: mypaint (<< 1.1.0)
@@ -70,6 +73,7 @@
 
 Package: mypaint-data-extras
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: mypaint-data (<< 1.1.0)
 Replaces: mypaint-data (<< 1.1.0), mypaint-data-hires
